# This file is auto generated.
# Remove/modify this header if you want to customize the operation.
query occ_getStoreLocation_query($baseSiteId: String!, $fields: String = "DEFAULT", $storeId: String!) {
  occ_getStoreLocation(
    baseSiteId: $baseSiteId
    fields: $fields
    storeId: $storeId
  ) {
    ... on occ_PointOfService {
      address {
        cellphone
        companyName
        country {
          isocode
          name
        }
        defaultAddress
        district
        email
        firstName
        formattedAddress
        id
        lastName
        line1
        line2
        phone
        postalCode
        region {
          countryIso
          isocode
          isocodeShort
          name
        }
        shippingAddress
        title
        titleCode
        town
        visibleInAddressBook
      }
      description
      displayName
      distanceKm
      features
      formattedDistance
      geoPoint {
        latitude
        longitude
      }
      mapIcon {
        altText
        format
        galleryIndex
        imageType
        url
      }
      name
      openingHours {
        code
        name
        specialDayOpeningList {
          closed
          closingTime {
            formattedHour
            hour
            minute
          }
          comment
          date
          formattedDate
          name
          openingTime {
            formattedHour
            hour
            minute
          }
        }
        weekDayOpeningList {
          closed
          closingTime {
            formattedHour
            hour
            minute
          }
          openingTime {
            formattedHour
            hour
            minute
          }
          weekDay
        }
      }
      pickUpInStoreInstructions
      storeContent
      storeImages {
        altText
        format
        galleryIndex
        imageType
        url
      }
      url
      warehouseCodes
    }
    ... on occ_errorList {
      errors {
        errorCode
        exceptionMessage
        language
        message
        position
        reason
        subject
        subjectType
        type
      }
    }
  }
}